using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class WaitForKey : CustomYieldInstruction
{
    private KeyCode _keyToWaitFor;

    public WaitForKey(KeyCode keyToWaitFor)
    {
        _keyToWaitFor = keyToWaitFor;
    }

    public override bool keepWaiting
    {
        get
        {
            if (Input.GetKeyDown(_keyToWaitFor))
            {
                return false;
            }

            return true;
        }
    }
}
